Upsert Event Types
post
/config/sim/v2/setup/upsertEventTypes
Updates provided fields if the Event Type exists; inserts a new Event Type if it does not.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Request body for upserting an Event Type.
Root Schema : schema
Type:
objectModel for upserting an Event Type.
Show Source
-
hierUnitId(required):
integer
Unique reference of the Enterprise hierarchy unit where the Event Type is configured.Example:
3599 -
mainMenuLevelIndex:
integer
Minimum Value:
0Maximum Value:8Main menu level index configured for the Event Type.Example:1 -
name:
object name
Event Type name in configured languages. Required when the upsert inserts a new Event Type.
-
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Object number of the Event Type.Example:1 -
subMenuLevelIndex:
integer
Minimum Value:
0Maximum Value:8Sub menu level index configured for the Event Type.Example:2 -
subTypes:
array subTypes
Event Sub Type records associated with the Event Type. Updating this collection inserts new records, updates existing records, and deletes omitted records when no Event Definitions reference them.
Nested Schema : name
Type:
objectEvent Type name in configured languages. Required when the upsert inserts a new Event Type.
Example:
{
"1":"Banquet",
"2":"Banquete",
"3":"Reception"
}Nested Schema : subTypes
Type:
arrayEvent Sub Type records associated with the Event Type. Updating this collection inserts new records, updates existing records, and deletes omitted records when no Event Definitions reference them.
Show Source
-
Array of:
object items
Model for an Event Sub Type associated with the Event Type. Required fields apply only when a subtype object is supplied.
Nested Schema : items
Type:
objectModel for an Event Sub Type associated with the Event Type. Required fields apply only when a subtype object is supplied.
Show Source
-
name(required):
object name
Event Sub Type name in configured languages.
-
objectNum(required):
integer
Minimum Value:
1Maximum Value:999999999Object number of the Event Sub Type.Example:10
Nested Schema : name
Type:
objectEvent Sub Type name in configured languages.
Example:
{
"1":"Wedding",
"2":"Boda",
"3":"Mariage"
}Response
Supported Media Types
- application/json
200 Response
Event Type updated.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique reference of the Enterprise hierarchy unit where the Event Type is configured.Example:
3599 -
objectNum:
integer
Object number of the Event Type.Example:
1
201 Response
Event Type inserted.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique reference of the Enterprise hierarchy unit where the Event Type is configured.Example:
3599 -
objectNum:
integer
Object number of the Event Type.Example:
1